Debian Bug report logs - #657957
ITP: starlink-ast -- Handle World Coordinate Systems in Astronomy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ole Streicher <debian@liska.ath.cx>

Date: Mon, 30 Jan 2012 09:46:21 UTC

Owned by: Ole Streicher <debian@liska.ath.cx>

Severity: wishlist

Fixed in version starlink-ast/7.0.3+dfsg-1

Done: Ole Streicher <debian@liska.ath.cx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#657957; Package wnpp. (Mon, 30 Jan 2012 09:46:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Mon, 30 Jan 2012 09:46:51 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: starlink-libast -- Handle World Coordinate Systems in Astronomy
Date: Mon, 30 Jan 2012 10:45:32 +0100
Package: wnpp
Severity: wishlist
Owner: Ole Streicher <debian@liska.ath.cx>
X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org


* Package name    : starlink-libast
  Version         : 6.0.1
  Upstream Author : David Berry, R.F. Warren-Smith
* URL             : www.starlink.ac.uk/ast
* License         : LGPLv2+
  Programming Lang: C
  Description     : Handle World Coordinate Systems in Astronomy
 AST implements an object oriented model for describing physical
 coordinate systems, and the transformations that exist between them.
 .
 It provides a comprehensive range of facilities for attaching world
 coordinate systems (WCS) to astronomical data and for retrieving and
 manipulating that information.
 .
 It has built-in intelligence for identifying types of celestial,
 spectral, time and other coordinate systems (including
 compound systems that combine axes of different types)
 and determining how to transform between them. This
 allows general purpose code to be written that makes no
 assumptions about the nature of the coordinate systems.

The package is originally called "AST" and builds a library "libast". A
library of that Name is already in Debian (libast -- the Library of
Assorted Spiffy Things); however this is orphaned since 2008; see
<http://bugs.debian.org/492497>.

This package is built in preparation to build saods9
<http://bugs.debian.org/655648>.






Added indication that bug 657957 blocks 655648 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 26 Mar 2012 09:09:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 657957: 659984 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 26 Mar 2012 09:09:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: starlink-ast -- Handle World Coordinate Systems in' from 'ITP: starlink-libast -- Handle World Coordinate Systems in Astronomy' Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 26 Mar 2012 09:09:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: starlink-ast -- Handle World Coordinate Systems in Astronomy' from 'ITP: starlink-ast -- Handle World Coordinate Systems in' Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 26 Mar 2012 09:15:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 May 2012 20:12:45 GMT) Full text and rfc822 format available.

Reply sent to Ole Streicher <debian@liska.ath.cx>:
You have taken responsibility. (Fri, 01 Jun 2012 23:21:08 GMT) Full text and rfc822 format available.

Notification sent to Ole Streicher <debian@liska.ath.cx>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 23:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 657957-close@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: 657957-close@bugs.debian.org
Subject: Bug#657957: fixed in starlink-ast 7.0.3+dfsg-1
Date: Fri, 01 Jun 2012 23:02:11 +0000
Source: starlink-ast
Source-Version: 7.0.3+dfsg-1

We believe that the bug you reported is fixed in the latest version of
starlink-ast, which is due to be installed in the Debian FTP archive:

libstarlink-ast-dev_7.0.3+dfsg-1_i386.deb
  to main/s/starlink-ast/libstarlink-ast-dev_7.0.3+dfsg-1_i386.deb
libstarlink-ast-doc_7.0.3+dfsg-1_all.deb
  to main/s/starlink-ast/libstarlink-ast-doc_7.0.3+dfsg-1_all.deb
libstarlink-ast-err0_7.0.3+dfsg-1_i386.deb
  to main/s/starlink-ast/libstarlink-ast-err0_7.0.3+dfsg-1_i386.deb
libstarlink-ast-grf3d0_7.0.3+dfsg-1_i386.deb
  to main/s/starlink-ast/libstarlink-ast-grf3d0_7.0.3+dfsg-1_i386.deb
libstarlink-ast0_7.0.3+dfsg-1_i386.deb
  to main/s/starlink-ast/libstarlink-ast0_7.0.3+dfsg-1_i386.deb
starlink-ast_7.0.3+dfsg-1.debian.tar.gz
  to main/s/starlink-ast/starlink-ast_7.0.3+dfsg-1.debian.tar.gz
starlink-ast_7.0.3+dfsg-1.dsc
  to main/s/starlink-ast/starlink-ast_7.0.3+dfsg-1.dsc
starlink-ast_7.0.3+dfsg.orig.tar.gz
  to main/s/starlink-ast/starlink-ast_7.0.3+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ole Streicher <debian@liska.ath.cx> (supplier of updated starlink-ast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 May 2012 09:45:00 +0200
Source: starlink-ast
Binary: libstarlink-ast-dev libstarlink-ast0 libstarlink-ast-grf3d0 libstarlink-ast-err0 libstarlink-ast-doc
Architecture: source i386 all
Version: 7.0.3+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Ole Streicher <debian@liska.ath.cx>
Changed-By: Ole Streicher <debian@liska.ath.cx>
Description: 
 libstarlink-ast-dev - Handle World Coordinate Systems in Astronomy (development package
 libstarlink-ast-doc - Handle World Coordinate Systems in Astronomy (documentation)
 libstarlink-ast-err0 - Handle World Coordinate Systems in Astronomy (error reporting)
 libstarlink-ast-grf3d0 - Handle World Coordinate Systems in Astronomy (dummy 3d routines)
 libstarlink-ast0 - Handle World Coordinate Systems in Astronomy (main shared lib)
Closes: 657957
Changes: 
 starlink-ast (7.0.3+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #657957)
Checksums-Sha1: 
 8a5eff97ecbdfd3df324d9cdcc1731af1875b44c 1641 starlink-ast_7.0.3+dfsg-1.dsc
 2c08e6fe77e2af98567cf8bc3fc6c7b22bc7f8e8 6061770 starlink-ast_7.0.3+dfsg.orig.tar.gz
 6f6173ce63e0bb080622d2be43094efbc2e32789 8647 starlink-ast_7.0.3+dfsg-1.debian.tar.gz
 b496d7e4143e5c184edd69953c8bbf4e476aff20 2084872 libstarlink-ast-dev_7.0.3+dfsg-1_i386.deb
 e06d1f386d77beee701b659470e7bb0d358b7654 1740470 libstarlink-ast0_7.0.3+dfsg-1_i386.deb
 d28072dd3c40c9d159451b2c3feafd7a8eb89a5f 4530 libstarlink-ast-grf3d0_7.0.3+dfsg-1_i386.deb
 e3b03ede57491705f7968cc3a9053ac16436f6e7 4140 libstarlink-ast-err0_7.0.3+dfsg-1_i386.deb
 5b0aa7717444610696590dd07dcba5ef6cba78d4 4579246 libstarlink-ast-doc_7.0.3+dfsg-1_all.deb
Checksums-Sha256: 
 f9151d92bc2efa23bce89ee91f2162a7319d0508eb08d66d618ec8606d954a79 1641 starlink-ast_7.0.3+dfsg-1.dsc
 14d61932d1fac016a272fa5ad618a485a2ab7f9745b74bfb93473e926c81006e 6061770 starlink-ast_7.0.3+dfsg.orig.tar.gz
 cd0b38c2100df5709551b6ba022c514c64b02a6aea05e13a8c0cdb0f5104ba7a 8647 starlink-ast_7.0.3+dfsg-1.debian.tar.gz
 acf1619ecda4a120c0011361e9a2f368f46713664175dc0996f544cdd33f0218 2084872 libstarlink-ast-dev_7.0.3+dfsg-1_i386.deb
 baf0d63df89ce886dba09e62f94c3f9d21f43b7a58ee9d65844a3c53012310bc 1740470 libstarlink-ast0_7.0.3+dfsg-1_i386.deb
 2e204951ec7900f37e7b9b016f3fb688e7b8b851875d2012e9bd4448afa8910a 4530 libstarlink-ast-grf3d0_7.0.3+dfsg-1_i386.deb
 82420722b5c8c48bb3b763382253a7f8ecb206728cfb7c1c0e6ea5379303ab07 4140 libstarlink-ast-err0_7.0.3+dfsg-1_i386.deb
 e205685140b15f955b8f18ffd74d6d3af3ad30b07e8d2449b74d4902eede2cd9 4579246 libstarlink-ast-doc_7.0.3+dfsg-1_all.deb
Files: 
 f2a36c9b31512f8790f72f1b97a6da59 1641 science extra starlink-ast_7.0.3+dfsg-1.dsc
 6c87a9182ca2bf96c4bfc5663134922c 6061770 science extra starlink-ast_7.0.3+dfsg.orig.tar.gz
 0e7c751a5bcf6cb0b3426e03aabfcf14 8647 science extra starlink-ast_7.0.3+dfsg-1.debian.tar.gz
 c4577ddcde8283601415e104f2e46b87 2084872 libdevel extra libstarlink-ast-dev_7.0.3+dfsg-1_i386.deb
 d281ece6511ca8785703569fb64ee795 1740470 libs extra libstarlink-ast0_7.0.3+dfsg-1_i386.deb
 8ddea013cc6f30245006454eb55e3124 4530 libs extra libstarlink-ast-grf3d0_7.0.3+dfsg-1_i386.deb
 107a6437b739f01e8f0025980c2af7c4 4140 libs extra libstarlink-ast-err0_7.0.3+dfsg-1_i386.deb
 099331d6660242b2c24d668334bfe3b5 4579246 doc extra libstarlink-ast-doc_7.0.3+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/E7N0ACgkQiOXXM92JlhBkTgCffr8Gk95hs0yrYTXnOjja7KDg
4nYAoO5gXM0v7LdCDiJ4OoI9CfqajS+n
=6vcm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2012 07:41:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:48:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.